require File.expand_path('../test_helper', __FILE__)

describe Elastomer::CLI::Application do
  describe 'cat' do
    it 'should include headers' do
      VCR.use_cassette('1.x') do
        elastomer 'cat indices'
        @out.must_match /health.*index.*pri.*rep/
      end
    end

    describe 'indices' do
      it 'should list all indices' do
        VCR.use_cassette('1.x') do
          elastomer 'cat indices'
          @out.must_match /test1/
          @out.must_match /test2/
        end
      end

      it 'should allow index scope' do
        VCR.use_cassette('1.x') do
          elastomer 'cat indices test1'
          @out.must_match /test1/
          @out.wont_match /test2/
        end
      end
    end
  end
end
