require File.expand_path('../test_helper', __FILE__)

describe Elastomer::CLI::Node do
  describe 'hot_threads' do
    it 'should get hot_threads' do
      VCR.use_cassette('default') do
        elastomer 'node hot_threads'
        @out.must_match(/^::: \[Bug\]/)
      end
    end

    it 'should get hot_threads for all nodes' do
      VCR.use_cassette('two_node_cluster') do
        elastomer 'node hot_threads'
        @out.must_match /^:::.*:9300/
        @out.must_match /^:::.*:9301/
      end
    end
  end

  describe 'list' do
    it 'should get a node list' do
      VCR.use_cassette('default') do
        elastomer 'node list'
        @out.must_match "Bug"
        @out.must_match "grants-mbp-2"
        @out.must_match "1.2.1"
        @out.must_match "inet[/192.168.1.185:9200]"
      end
    end

    it 'should include all nodes' do
      VCR.use_cassette('two_node_cluster') do
        elastomer 'node list'
        @out.must_match ":9200"
        @out.must_match ":9201"
      end
    end
  end
end
