require File.expand_path('../test_helper', __FILE__)

describe Elastomer::CLI::Repository do
  describe 'create' do
    it 'should create a repository' do
      VCR.use_cassette('snapshots') do
        elastomer %q(repository create repo1 --type fs --settings {"location":"/tmp/repo1"})
        @out.must_match /acknowledged.+true/
      end
    end
  end

  describe 'get' do
    it 'should get repository settings' do
      VCR.use_cassette('snapshots') do
        elastomer 'repository get repo1'
        @out.must_match /repo1/
        @out.must_match /type.+fs/
        @out.must_match /location.+repo1/
        @out.wont_match /repo2/
      end
    end
  end

  describe 'list' do
    it 'should list repositories' do
      VCR.use_cassette('snapshots') do
        elastomer 'repository list'
        @out.must_match /repo1/
        @out.must_match /repo2/
      end
    end
  end

  describe 'delete' do
    it 'should delete a repository' do
      VCR.use_cassette('snapshots') do
        elastomer 'repository delete repo1'
        @out.must_match /Deleted repository repo1/
      end
    end
  end
end
