require File.expand_path('../test_helper', __FILE__)

describe Elastomer::CLI::Shard do
  describe 'shard stats' do
    it 'should show shard stats' do
      VCR.use_cassette('default') do
        elastomer 'shard stats'
        @out.must_match /total.*12/m
        @out.must_match /audit_log/m
      end
    end

    it 'should normalize node names' do
      names = (1..4).map {|n| "githubsearch4-storage%d-cp1-prd" % n}
      @shard_stats = Elastomer::CLI::Shard.new

      @shard_stats.instance_variable_set(:@node_names, names)
      @shard_stats.normalized_node_names.must_equal %w[storage1 storage2 storage3 storage4]

      @shard_stats.instance_variable_set(:@node_names, [names.at(2)])
      @shard_stats.normalized_node_names.must_equal %w[githubsearch4-storage3-cp1-prd]
    end
  end
end
